## Apache Zeta Components Manual :: Docs For Class ezcWebdavPotentialUriContent

### Webdav::ezcWebdavPotentialUriContent

### Class ezcWebdavPotentialUriContent

Struct representing a text that is potentially considered an URI.

Some Webdav property values might either contain plain text or an URI, covered in an <href> XML element. This struct is used to represent such information. If the content of the property is an URI, the $isUri property is set to true. Otherwise it is false. The $content property contains the plain text content.

Source for this file: /Webdav/src/structs/potential_uri_content.php

    ezcBaseStruct
       |
       --ezcWebdavPotentialUriContent

Version: | //autogen//

### Member Variables

public string | `$content` Text content.
public bool | `$isUri` If the text content is to be considered an URI.

### Method Summary

public ezcWebdavPotentialUriContent | `__construct( [ $content = ''] , [ $isUri = false] )` Creates a new potential URI content struct.
public string | `__toString( )` Converts the object to a string.

### Methods

#### __construct

ezcWebdavPotentialUriContent __construct( [string $content = ''] , [bool $isUri = false] )

Creates a new potential URI content struct.

##### Parameters:

Name | Type | Description
--- | --- | ---
`$content` | string |
`$isUri` | bool |

#### __toString

string __toString( )

Converts the object to a string.

Documentation generated by phpDocumentor 1.4.3